package cn.superdesk.uniorder.service.operationCenter.order.impl;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterPaymentOperator;
import cn.superdesk.uniorder.dao.mapper.operationCenter.OperationCenterPaymentOperatorMapper;
import cn.superdesk.uniorder.service.operationCenter.order.OperationCenterPaymentOperatorService;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/3/30 10:19
 * Description : 支付方式 关联 运营商
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class OperationCenterPaymentOperatorServiceImpl implements OperationCenterPaymentOperatorService {
   private final OperationCenterPaymentOperatorMapper operationCenterPaymentOperatorMapper;

    @Override
    public int insertSelective(OperationCenterPaymentOperator operationCenterPaymentOperator) {
        return operationCenterPaymentOperatorMapper.insertSelective(operationCenterPaymentOperator);
    }

    @Override
    public int updateByPrimaryKeySelective(OperationCenterPaymentOperator operationCenterPaymentOperator) {
        return operationCenterPaymentOperatorMapper.updateByPrimaryKeySelective(operationCenterPaymentOperator);
    }

    @Override
    public void deleteObj(Long id) {
        operationCenterPaymentOperatorMapper.deleteByPrimaryKey(id);
    }

    @Override
    public OperationCenterPaymentOperator findById(Long id) {
        return operationCenterPaymentOperatorMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<OperationCenterPaymentOperator> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public PageInfo<OperationCenterPaymentOperator> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }

    @Override
    public void deleteByPaymentId(Long paymentId) {
        operationCenterPaymentOperatorMapper.deleteByPaymentId(paymentId);
    }
}
